import {
    service
} from '../utils/request';
//获取巡防力量人员数据
export function getXfllRyData(params = {}) {
    return service({
        url: '/mosty-jcgl/tbJcglXfll/getXfllList',
        method: 'get',
        params
    });
};
//获取智能装备数据
export function getZnzbList(params = {}) {
    return service({
        url: '/mosty-jcgl/tpjcglZnzb/getZnzbList',
        method: 'get',
        params
    });
};
//获取警用器械数据
export function getJyqxList(params = {}) {
    return service({
        url: '/mosty-jcgl/tpJcglJyqx/getJyqxList',
        method: 'get',
        params
    });
};

//获取警巡防车辆数据
export function selectXfclList(params = {}) {
    return service({
        url: '/mosty-jcgl/tpJcglXfcl/selectXfclList',
        method: 'get',
        params
    });
};
//获取勤务班次数据
export function getBcList(params = {}) {
    return service({
        url: '/mosty-qwzx/tbQwQwbc/getBcList',
        method: 'get',
        params
    });
};
//获取勤务班次数据
export function getBcListById(id) {
    return service({
        url: '/mosty-qwzx/tbQwQwbc/'+id,
        method: 'get',
    });
};
//获取勤务巡防区数据
export function getXfqListById(id) {
    return service({
        url: '/mosty-jcgl/tbJcglXfqy/selectById?id='+id,
        method: 'get',
    });
};
//获取勤务快反点数据
export function getKfdListById(id) {
    return service({
        url: '/mosty-jcgl/tpJcglKfd/selectByid?id='+id,
        method: 'get',
    });
};
//获取巡防区数据
export function getXfqList(params = {}) {
    return service({
        url: '/mosty-jcgl/tbJcglXfqy/getXfqList',
        method: 'get',
        params
    });
};
//获取快反点数据
export function getKfdList(params = {}) {
    return service({
        url: '/mosty-jcgl/tpJcglKfd/getKfdList',
        method: 'get',
        params
    });
};
//获取勤务警组数据
export function selectJzList(params = {}) {
    return service({
        url: '/mosty-jcgl/tbJcglJz/selectJzList',
        method: 'get',
        params
    });
};
//获取民警数据
export function getUserList(params = {}) {
    return service({
        url: '/mosty-base/sysUser/getUserList',
        method: 'get',
        params
    });
}

//获取民警数据
export function getBBData(url, params = {}) {
    return service({
        url,
        method: 'get',
        params
    });
}